Subject: [USR-TC] OSPF adding local routes

From: [email-masked]
Date: Thu, 21 Mar 2002 18:59:05 +0000

I found a strange behaviour with the ospf process on the harc.
I recently had to add the following commands on a cisco router on the
network
router ospf 1
   redistribute static subnets
   [...]
ip route 192.168.128.0 255.255.224.0 null0 220

out of a sudden, a new route is showing on the Harcs with:
list ip route:
192.168.128.0/19 LOCAL  192.168.128.254  1       eth:1

This is bad because I now have to go through the gateway (cisco) for all local
traffic.
Also, I can't even remove the route unless I reboot the HiperArc:
HiPer>> delete ip route 192.168.128.0/19
ERROR - Failed to delete the route to 192.168.128.0. Only routes marked as
Static/NetMgt can be deleted.